# use this script as follows in ZPT:
#  <tal:block define="static_link here/static_export_link" condition="static_link"><a tal:attributes="href static_link">Static Export</a></tal:block>

from AccessControl import getSecurityManager

pub = context.get_publication()
security_manager = getSecurityManager()
if not security_manager.checkPermission('Change Silva Access', context):
   # we don't have the permission, so don't show link
   return None
# relatively inefficient check; is there a faster api to check this?
if not 'service_static' in pub.objectIds():
   # we got no link as there's no static export service
   return None
return context.get_publication().absolute_url() + '/static'
