from harvester import Harvester
from urlparse import urlsplit
import os

class HttrackHarvester(Harvester):
    
    def getCommand(self):
        return ('httrack -O %s -w -K0 -s0 '
                '-Z -f2 -%%i0 -%%I0 -a -N100 -q -%%F "" %s > /dev/null' %
                (self.directory, self.url))

    def getDirectory(self):
        path = urlsplit(self.url)[2]
        dirs = [entry for entry in path.split(os.path.sep) if entry]
        return os.path.join(self.directory, *dirs)
